import Tool from "./tool";
import { graph } from "../editor";
import * as Graph from "../graph";

export default class DeleteTool extends Tool {
    constructor(key) {
        super("Delete", "delete", key);
    }

    onNodeClick(node) {
        graph.deleteNode(node[Graph.NODE_ID]);
    }

    onLinkClick(link) {
        graph.deleteLink(
            link[Graph.LINK_SOURCE][Graph.NODE_ID],
            link[Graph.LINK_TARGET][Graph.NODE_ID]
        );
    }
}
